﻿//EX1002_ADC_Netduino
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//


using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;

namespace EX1002_ADC_Netduino
{
    public class Program
    {
        public static void Main()
        {
            // write your code here
            AnalogInput ADC0 = new AnalogInput(Pins.GPIO_PIN_A0);
            AnalogInput ADC1 = new AnalogInput(Pins.GPIO_PIN_A1);
            //AnalogInput ADC2 = new AnalogInput(Pins.GPIO_PIN_A2);
            //AnalogInput ADC3 = new AnalogInput(Pins.GPIO_PIN_A3);
            //AnalogInput ADC4 = new AnalogInput(Pins.GPIO_PIN_A4);
            //AnalogInput ADC5 = new AnalogInput(Pins.GPIO_PIN_A5);

            OutputPort BLUE_LED = new OutputPort(Pins.ONBOARD_LED, false);

            while (true)
            {
                Debug.Print("ADC0 = " + ADC0.Read().ToString());
                Debug.Print("ADC1 = " + ADC1.Read().ToString());
                Thread.Sleep(500);
                BLUE_LED.Write(true);
                Thread.Sleep(500);
                BLUE_LED.Write(false);

                Thread.Sleep(1000);
                ADC1.SetRange(-1023, 1023);
                Debug.Print("ADC1 with new Range = " + ADC1.Read().ToString());
                Thread.Sleep(1000);
                ADC1.SetRange(0, 1023);

            }
        }
    }
}
