﻿//EX1202_Bitmap
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//


using System;
using Microsoft.SPOT;
using System.Threading;
using Microsoft.SPOT.Presentation;
using Microsoft.SPOT.Presentation.Controls;
using Microsoft.SPOT.Presentation.Media;


namespace EX1202_Bitmap
{
    public class Program
    {
        public static void Main()
        {
            Debug.Print(Resources.GetString(Resources.StringResources.String1));

            Bitmap myBitmap = new Bitmap(SystemMetrics.ScreenWidth, SystemMetrics.ScreenHeight);
            Bitmap myimage = Resources.GetBitmap(Resources.BitmapResources.CarAtBeach);

            //for (int x = 0; x < 75; x++)
            //{

                //myBitmap.Clear();
            
                //Draw a white Background
                myBitmap.DrawRectangle(Colors.White, 1, 0, 0, myBitmap.Width, myBitmap.Height, 0, 0, Colors.White, 0, 0, Colors.White, myBitmap.Width, myBitmap.Height, 0xff);

                myBitmap.DrawLine(Colors.Gray, 2, 10, 10, 150, 50);
                myBitmap.DrawEllipse(Colors.Blue, 50, 150, 30, 30);
                //myBitmap.DrawEllipse(Colors.Blue, (50 + (2 * x)), 150, 30, 30);
                myBitmap.DrawRectangle(Colors.Orange, 1, 50, 175, 200, 50, 0, 0, Colors.Green, 100, 175, Colors.White, 300, 225, 0xff);
                myBitmap.DrawImage(150, 10, myimage, 0, 0, myimage.Width, myimage.Height);

                //Font myFont = Resources.GetFont(Resources.FontResources.linds);
                //myBitmap.DrawText("Car at the Beach", myFont, Colors.Red, 125, 125);


                myBitmap.Flush();

                //Thread.Sleep(50);

            //} //For loop end   


            Thread.Sleep(-1);

        }
    }
}
