﻿//EX1501_SD1_FEZPandaII
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using Microsoft.SPOT.IO;
using System.IO;
using System.Text;
using GHIElectronics.NETMF.FEZ;
using GHIElectronics.NETMF.IO;

namespace EX1501_SD1_FEZPandaII
{
    public class Program
    {
        public static void Main()
        {

            PersistentStorage mySD = new PersistentStorage("SD");

            mySD.MountFileSystem();

            var fileName = Path.Combine("\\SD\\", "test1.txt");
            Debug.Print(fileName);
            byte[] writeBytes = Encoding.UTF8.GetBytes("Message to be saved");
            File.WriteAllBytes(fileName, writeBytes);
            
            
            // Blink board LED
            bool ledState = false;

            OutputPort led = new OutputPort((Cpu.Pin)FEZ_Pin.Digital.LED, ledState);

            while (true)
            {
                // Sleep for 500 milliseconds
                Thread.Sleep(500);

                // toggle LED state
                ledState = !ledState;
                led.Write(ledState);
            }
        }


    }
}
