﻿//
//EX501_BasicProcessing
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using Microsoft.SPOT;
using System.Threading;

namespace EX501_BasicProcessing
{
    public class Program
    {
        public static void Main()
        {
            Debug.Print(Resources.GetString(Resources.StringResources.String1));
            App myApp = new App();
            myApp.Run();
        }

    }

    public class App
    {


        Thread theThread1 = new Thread(new ThreadStart(mythread1));
        Thread theThread2 = new Thread(new ThreadStart(mythread2));
        Thread theThread3 = new Thread(new ThreadStart(mythread3));
        Thread theThread4 = new Thread(new ThreadStart(mythread4));


        public void Run()
        {

            //theThread1.Priority = ThreadPriority.BelowNormal;
            //theThread2.Priority = ThreadPriority.AboveNormal;
            //theThread3.Priority = ThreadPriority.Highest;
            //theThread4.Priority = ThreadPriority.Lowest;


            theThread1.Start();
            theThread2.Start();
            theThread3.Start();
            theThread4.Start();

            string myString;

            for (int z = 0; z < 50; z++)
            {
                myString = "Main " + z.ToString();
                //Debug.Print(myString);
                //Thread.Sleep(10);
            }

            //Main is complete so stop interrupts

            Debug.Print("[Main] completed");
        }


        public static void mythread1()
        {
            string myString;
            for (int y = 0; y < 50; y++)
            {

                myString = "Thread 1 " + y.ToString();
                //Debug.Print(myString);
                //Thread.Sleep(10);

            }
            Debug.Print("[Thread 1] completed");
        }

        public static void mythread2()
        {
            string myString;
            for (int x = 0; x < 50; x++)
            {
                myString = "Thread 2 " + x.ToString();
                //Debug.Print(myString);
                //Thread.Sleep(10);

            }
            Debug.Print("[Thread 2] completed");
        }

        public static void mythread3()
        {
            string myString;
            for (int x = 0; x < 50; x++)
            {
                myString = "Thread 3 " + x.ToString();
                //Debug.Print(myString);
                //Thread.Sleep(10);

            }
            Debug.Print("[Thread 3] completed");
        }

        public static void mythread4()
        {
            string myString;
            for (int x = 0; x < 50; x++)
            {
                myString = "Thread 4 " + x.ToString();
                //Debug.Print(myString);
                //Thread.Sleep(10);

            }
            Debug.Print("[Thread 4] completed");
        }




    }



}
