﻿//EX602_BasicIO_Netduino
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;


namespace EX602_BasicIO_Netduino
{
    public class Program
    {
        public static void Main()
        {
            App myApp = new App();
            myApp.Run();
        }

    }

    public class App
    {
        OutputPort GPIOPin1 = new OutputPort(Pins.GPIO_PIN_D1, false);
        InputPort GPIOPin7 = new InputPort(Pins.GPIO_PIN_D7, false, Port.ResistorMode.Disabled);
        OutputPort Blue_LED = new OutputPort(Pins.ONBOARD_LED, false);

        public void Run()
        {

            while (true)
            {
                Thread.Sleep(500);
                GPIOPin1.Write(true);
                Thread.Sleep(10);
                Blue_LED.Write(GPIOPin7.Read());
                Thread.Sleep(10);
                GPIOPin1.Write(false);
                Thread.Sleep(10);
                Blue_LED.Write(GPIOPin7.Read());

            }
        }

    }
}
