﻿//EX603_Polling_Meridian
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using Microsoft.SPOT;
using DeviceSolutions.SPOT.Hardware;
using Microsoft.SPOT.Hardware;
using System.Threading;

namespace EX603_Polling_MeridianP
{
    public class Program
    {
        public static void Main()
        {
            App myApp = new App();
            myApp.Run();
        }

    }
    public class App
    {

        InputPort GPIO1 = new InputPort(MeridianP.Pins.GPIO1, false, Port.ResistorMode.Disabled);
        OutputPort RED_LED = new OutputPort(MeridianP.Pins.LED, false);

        public void Run()
        {
            while (true)
            {

                if (GPIO1.Read() == false)
                {
                    RED_LED.Write(true);
                }
                else
                {
                    RED_LED.Write(false);
                }

            }

        }
    }
}
