﻿//EX603_Polling_Netduino
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//


using System;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;

namespace EX603_Polling_Netduino
{
    public class Program
    {
        public static void Main()
        {
            // write your code here
            App myApp = new App();
            myApp.Run();

        }

    }

    public class App
    {

        InputPort Switch1 = new InputPort(Pins.ONBOARD_SW1, false, Port.ResistorMode.Disabled);
        OutputPort BLUE_LED = new OutputPort(Pins.ONBOARD_LED, false);

        public void Run()
        {

            while (true)
            {
                if (Switch1.Read() == true)
                {
                    BLUE_LED.Write(true);
                }
                else
                {
                    BLUE_LED.Write(false);
                }

            }
        }
    }
}
