﻿//EX803_SPILCDDRIVER_MERIDIANP
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using Microsoft.SPOT;
using DeviceSolutions.SPOT.Hardware;
using Microsoft.SPOT.Hardware;
using System.Threading;
using Microsoft.SPOT.Hardware.SJJ.SPI_LCD_DRIVER;


namespace EX803_SPILCDDRIVER_MERDIANP
{
    public class Program
    {
        public static void Main()
        {
            SPI.Configuration mySPIConfig = new SPI.Configuration(MeridianP.Pins.GPIO3, false, 0, 0, false, true, 100, SPI.SPI_module.SPI1);
            SPI mySPIPort = new SPI(mySPIConfig);
            SPI_LCDDriver myLCDDriver = new SPI_LCDDriver();


            byte[] Xfer = new byte[1];
            byte[] Data = new byte[255];

            //Turn backlight off
            int SPI_Count = myLCDDriver.LCDBacklightOff().Length;
            Data = myLCDDriver.LCDBacklightOff();
            for (int i = 0; i < SPI_Count; i++)
            {
                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);
            }

            Thread.Sleep(100);
            //Clear display
            SPI_Count = myLCDDriver.LCDClear().Length;
            Data = myLCDDriver.LCDClear();
            for (int i = 0; i < SPI_Count; i++)
            {

                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(6);

            //Home cursor
            SPI_Count = myLCDDriver.LCDHomeCursor().Length;
            Data = myLCDDriver.LCDHomeCursor();
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(6);

            //Turn flashing cursor on
            SPI_Count = myLCDDriver.LCDBlinkblockCursorOn().Length;
            Data = myLCDDriver.LCDBlinkblockCursorOn();
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(6);

            //Turn backlight on
            SPI_Count = myLCDDriver.LCDBacklightOn().Length;
            Data = myLCDDriver.LCDBacklightOn();
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }
            Thread.Sleep(6);



            SPI_Count = myLCDDriver.LCDLine1("LCD class").Length;
            Data = myLCDDriver.LCDLine1("LCD class");
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }
            Thread.Sleep(6);


            SPI_Count = myLCDDriver.LCDLine2("driver is fun").Length;
            Data = myLCDDriver.LCDLine2("driver is fun");
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(3000);

            SPI_Count = myLCDDriver.LCDShiftDisplayUp().Length;
            Data = myLCDDriver.LCDShiftDisplayUp();
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(6);

            SPI_Count = myLCDDriver.LCDLine2("Welcome to .NET MF").Length;
            Data = myLCDDriver.LCDLine2("Welcome to .NET MF");
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(6);

            SPI_Count = myLCDDriver.LCDShiftDisplayUp().Length;
            Data = myLCDDriver.LCDShiftDisplayUp();
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }

            Thread.Sleep(6);

            SPI_Count = myLCDDriver.LCDLine2("www.netmf.com").Length;
            Data = myLCDDriver.LCDLine2("www.netmf.com");
            for (int i = 0; i < SPI_Count; i++)
            {

                Xfer[0] = Data[i];
                mySPIPort.Write(Xfer);

            }
        }
    }
}
