﻿//EX1101_DesktopClient
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.Net.Sockets;
using Socket = System.Net.Sockets.Socket;

namespace EX1101_DesktopClient
{
    public partial class Form1 : Form
    {

        static Int32 iPort = 12000;
        static IPAddress IPAddr;

        const string sMsgLEDOn = "LED ON";
        const string sMsgLEDOff = "LED OFF";

        public Form1()
        {
            InitializeComponent();
            txtNetworkPort.Text = iPort.ToString();
            Update();
        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            Update();

            try
            {
            
                Socket mysocket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                mysocket.Connect(new IPEndPoint(IPAddress.Parse(txtIPAddress.Text.ToString()), iPort));

                Byte[] bytesToSend = Encoding.UTF8.GetBytes(txtMessage.Text.ToString());
                mysocket.Send(bytesToSend, bytesToSend.Length, 0);

                mysocket.Disconnect(true);

            }
            catch (Exception eX)
            {
                txtMessage.Text = eX.Message.ToString();
                Update();
            }

        }    
            
        private void btnLEDON_Click(object sender, EventArgs e)
        {
            Update();
            try
            {
                Socket mysocket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                mysocket.Connect(new IPEndPoint(IPAddress.Parse(txtIPAddress.Text.ToString()), iPort));

                Byte[] bytesToSend = Encoding.UTF8.GetBytes("LED ON");
                mysocket.Send(bytesToSend, bytesToSend.Length, 0);

                mysocket.Disconnect(true);
            }
            catch (Exception eX)
            {
                txtMessage.Text = eX.Message.ToString();
                Update();
            }
          
        }

        private void btnLEDOFF_Click(object sender, EventArgs e)
        {

            Update();            
            try
            {
                Socket mysocket = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                mysocket.Connect(new IPEndPoint(IPAddress.Parse(txtIPAddress.Text.ToString()), iPort));

                Byte[] bytesToSend = Encoding.UTF8.GetBytes("LED OFF");
                mysocket.Send(bytesToSend, bytesToSend.Length, 0);

                mysocket.Disconnect(true);
                
            }
            catch (Exception eX)
            {
                txtMessage.Text = eX.Message.ToString();
                Update();
            }
        }
    }
}
