﻿//EX1501_SD1_EDK
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using System.Text;
using System.IO;
using Microsoft.SPOT.IO;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using System.Threading;
using Microsoft.SPOT.Hardware.SJJ;

namespace EX1501_SD1_EDK
{
    public class Program
    {
        public static void Main()
        {

            Debug.Print(Resources.GetString(Resources.StringResources.String1));
            RemovableMedia.Eject += new EjectEventHandler(RemovableMedia_Eject);
            RemovableMedia.Insert += new InsertEventHandler(RemovableMedia_Insert);   
        
            OutputPort myGreenLED = new OutputPort(Pins.GREEN_LED, false);


            var fileName = Path.Combine("\\SD\\", "test1.txt");
            Debug.Print(fileName);
            byte[] writeBytes = Encoding.UTF8.GetBytes("EDK is working");
            File.WriteAllBytes(fileName, writeBytes);

            while (true)
            {
                myGreenLED.Write(true);
                Thread.Sleep(500);
                myGreenLED.Write(false);
                Thread.Sleep(500);

            }

        }

        static void RemovableMedia_Insert(object sender, MediaEventArgs e)
        {
            Debug.Print("Media inserted");
        }

        static void RemovableMedia_Eject(object sender, MediaEventArgs e)
        {
            Debug.Print("Media Ejected");
        }
         

    }
}
