﻿//
//Block_Driver_Test
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using System.Threading;
using Microsoft.SPOT.Hardware.SJJ;
using Microsoft.SPOT.Hardware.SJJ.Block_GPIO_Driver;

namespace Block_Driver_Test
{
    public class Program
    {
        public static void Main()
        {
            Debug.Print(Resources.GetString(Resources.StringResources.String1));
            App myApp = new App();
            myApp.Run();
        }

        public class App
        {

            InputPort EGPIO1 = new InputPort(Pins.EGPIO1_HDR3_13_CLK1_HZ, false, Port.ResistorMode.Disabled);
            Block_GPIO_Driver myCPLD = new Block_GPIO_Driver();


            public void Run()
            {

                while (true)
                {
                    if (EGPIO1.Read())
                    {

                        myCPLD.PY_Output(myCPLD.PW_Input());
                        Debug.Print("PW Input: " + myCPLD.PW_Input().ToString());

                        myCPLD.PX_Output(myCPLD.PZ_Input());
                        Debug.Print("PZ Input: " + myCPLD.PZ_Input().ToString());

                    }

                    Thread.Sleep(5000);
                }




            }




        }





    }
}
