﻿//EX602_BasicIO_MeridianP
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

using System;
using Microsoft.SPOT;
using DeviceSolutions.SPOT.Hardware;
using Microsoft.SPOT.Hardware;
using System.Threading;

namespace EX602_BasicIO_MerdianP
{
    public class Program
    {
        public static void Main()
        {

            App myApp = new App();
            myApp.Run();

        }

    }

    public class App
    {

        OutputPort GPIOPin1 = new OutputPort(MeridianP.Pins.GPIO1, false);
        InputPort GPIOPin7 = new InputPort(MeridianP.Pins.GPIO7, false, Port.ResistorMode.Disabled);
        OutputPort RED_LED = new OutputPort(MeridianP.Pins.LED, false);

        public void Run()
        {

            while (true)
            {
                Thread.Sleep(500);
                GPIOPin1.Write(true);
                Thread.Sleep(10);
                RED_LED.Write(GPIOPin7.Read());
                Thread.Sleep(500);
                GPIOPin1.Write(false);
                Thread.Sleep(10);
                RED_LED.Write(GPIOPin7.Read());
            }


        }
    }
}
