﻿//EX603_Polling_EDK
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//


using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using Microsoft.SPOT.Hardware.SJJ;
using System.Threading;

namespace EX603_Polling_EDK
{
    public class Program
    {
        public static void Main()
        {
            App myApp = new App();
            myApp.Run();
        }

    }

    public class App
    {
        InputPort myHGPIO2;
        OutputPort myGreenLED;

        public void Run()
        {
            myHGPIO2 = new InputPort(Pins.HGPIO2_HDR3_1, false, Port.ResistorMode.Disabled);

            myGreenLED = new OutputPort(Pins.GREEN_LED, false);

            while (true)
            {
                if (myHGPIO2.Read() == false)
                {
                    myGreenLED.Write(true);
                }
                else
                {
                    myGreenLED.Write(false);

                }
            }

        }
    }
}
