﻿
//KeyPadFix
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//

//Updates SPI-LCD to support 4x4

using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using Microsoft.SPOT.Hardware.SJJ;
using System.Threading;

namespace KeyPadFix
{
    public class Program
    {
        public static void Main()
        {

            Debug.Print(Resources.GetString(Resources.StringResources.String1));
            App myApp = new App();
            myApp.Run();


        }

        public class App
        {

            public void Run()
            {

                    // Constructor will clear the screen
                    SPI.Configuration   mySPIPortPortConfig = new SPI.Configuration(Pins.GPIO_NONE, false, 0, 0, false, true, 1, SPI.SPI_module.SPI1);
                    SPI mySPIPort = new SPI(mySPIPortPortConfig);


                    //Keypad Configuration
                    byte[] bWriteRemember = new byte[] { 0xF5, 0x8D };
                    byte[] bConfigureKeypad4x4 = new byte[] { 0xF5, 0xE0, 0x00 };

                    //Set LCD controller for 4x4 keypad
                    mySPIPort.Write(bWriteRemember);
                    Thread.Sleep(6);
                    mySPIPort.Write(bConfigureKeypad4x4);
                    Thread.Sleep(6);


            }


        }

    }
}
