﻿//EX903_PWM_EDK
//
//SJJ Embedded Micro Solutions
//www.sjjmicro.com / www.seanliming.com
//Copyright (c) 2006-2012 SJJ Embedded Micro Solutions    All Rights Reserved
//
//Source code is provided as is without any warranty. Any errors or omissions shall not imply any 
//liability for direct or indirect consequences arising from the use of this source code. The authors
//and reviewers make no warranty for the correctness or for the use of this source code, and asseme no
//liability for direct or indirect damages of any kind arising from the use of this source code.
//
//The author resrves the right to make changes in this source code without notice and without
//incurring any liability.
//


using System;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using System.Threading;
using Microsoft.SPOT.Hardware.SJJ;
using Microsoft.SPOT.Hardware.SJJ.SJJ_PWM_Driver;
using System.IO.Ports;

namespace EX903_PWM_EDK
{
    public class Program
    {
        public static void Main()
        {
            SJJ_PWM_Driver PWM1 = new SJJ_PWM_Driver();
            OutputPort GREEN_LED = new OutputPort(Pins.GREEN_LED, false);

            SerialPort PWMHandle = PWM1.PWM_Open();

            PWM1.PWM_Off(PWMHandle);
            PWM1.PWM_SetFreq(10000, PWMHandle);
            PWM1.PWM_SetDutyCycle(SJJ_PWM_Driver.PWM_Channel.ePWM1, 30, PWMHandle);
            PWM1.PWM_On(PWMHandle);

            while (true)
            {
                Thread.Sleep(500);
                GREEN_LED.Write(true);
                Thread.Sleep(500);
                GREEN_LED.Write(false);
            } 
        }

    }
}
